# List payment instruments

Returns a paginated list of <a href="https://docs.solidgate.com/billing/manage-customers/payment-instruments/" target="_blank">payment instruments</a> for the specified customer.

Endpoint: POST /payment-instruments/list
Version: 2.0.0
Security: bearerAuth

## Request fields (application/json):

  - `customer_id` (string)
    Identifier of the customer who owns the payment instruments.
    Example: cust_01KMG2ABYPF6XS5DMJQ817C429

  - `filters` (object)
    Filters for payment instruments.

  - `filters.status` (object)
    Operator and value for payment instrument status filter.

  - `filters.status.operator` (string, required)
    Comparison operator.
    Enum: "EQ"

  - `filters.status.value` (string, required)
    Payment instrument status value to filter by.
    Enum: "ACTIVE", "REVOKED", "EXPIRED"

  - `pagination` (object)
    Pagination details.

  - `pagination.page_size` (integer, required)
    Number of items returned in this response.
    Example: 20

  - `pagination.next_page_token` (string)
    Token to retrieve the next page of results. It is empty on the last page.
    Example: eyJMYXN0SUQiOiIxYTYyYjQ0Ni01ZDM0LTRiYTQtOGRlZS02NTM5NTU0NjY2MTQifQ==

## Response 200 fields (application/json):

  - `items` (array)
    List of payment instruments for the current page.

  - `items.payment_method` (string, required)
    Payment method.
    Example: CARD

  - `items.card_details` (object, required)
    Card details for a payment instrument.

  - `items.card_details.last_four` (string, required)
    Last four digits of the card number.
    Example: 4242

  - `items.card_details.bin` (string, required)
    Bank identification number of the card.
    Example: 424242

  - `items.card_details.brand` (string, required)
    Card brand.
    Example: VISA

  - `items.card_details.type` (string, required)
    Card type.
    Example: DEBIT

  - `items.card_details.bank` (string, required)
    Issuing bank name.
    Example: Chase Bank

  - `items.card_details.expiry_month` (string, required)
    Card expiration month in MM format.
    Example: 12

  - `items.card_details.expiry_year` (string, required)
    Card expiration year in YYYY format.
    Example: 2030

  - `items.paypal_details` (object, required)
    PayPal details for a payment instrument.

  - `items.paypal_details.email` (string, required)
    PayPal account email.
    Example: customer@example.com

  - `pagination` (object)
    Pagination details.

  - `pagination.page_size` (integer, required)
    Number of items returned in this response.
    Example: 20

  - `pagination.next_page_token` (string)
    Token to retrieve the next page of results. It is empty on the last page.
    Example: eyJMYXN0SUQiOiIxYTYyYjQ0Ni01ZDM0LTRiYTQtOGRlZS02NTM5NTU0NjY2MTQifQ==

## Response 400 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "VALIDATION"

  - `message` (string, required)
    Message describing the error.
    Example: One or more fields failed validation due to constraints

  - `context` (object, required)
    Additional context about the validation error, including specific constraints.
    Example: {"constraints":{"email":{"type":"TYPE","message":"The 'email' field must be a valid email address"},"age":{"type":"MIN","message":"The 'age' field must be a number greater than or equal to 18"}}}

## Response 401 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "UNAUTHENTICATED"

  - `message` (string, required)
    Message describing the error.
    Example: Credentials are invalid or missing

## Response 403 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "PERMISSION_DENIED"

  - `message` (string, required)
    Message describing the error.
    Example: Permission denied

## Response 429 fields (application/json):

  - `code` (string, required)
    Code identifying the error type.
    Enum: "RATE_LIMIT"

  - `message` (string, required)
    Message describing the error.
    Example: Rate limit exhausted

  - `context` (object)
    Additional context about the error.

  - `context.next_try_at` (string)
    Timestamp indicating when to retry the request.
    Example: 2024-12-31T23:59:59.000000Z

